VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IViewEventListener Class Referenceabstract
New classes » Version 4.11

View Event Listener Interface. More...

`#include <iviewlistener.h>`

Inheritance diagram for IViewEventListener:

## Public Member Functions
virtual | ~IViewEventListener () noexcept=default
virtual void | viewOnEvent (CView *view, Event &event)=0
| called on an event on a view

## Detailed Description

View Event Listener Interface.

## Constructor & Destructor Documentation

## ◆ ~IViewEventListener()

virtual ~IViewEventListener | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ viewOnEvent()

virtual void viewOnEvent | ( | CView * | view,
|  | Event & | event )
| pure virtual

called on an event on a view

whenever an event is dispatched to a view, the listener will be notified about it and can mark the event as consumed if necessary to prevent that the event is handled by the view and further dispatched in the view hierarchy.

Implemented in CControl::Impl, and ViewEventListenerAdapter.

The documentation for this class was generated from the following file:

- iviewlistener.h